BarkestLcd::Font.class_eval do
  ##
  # Gets the default regular font.
  def self.regular
    @regular_font ||= BarkestLcd::Font.new(
        {
            :name => "Silkscreen",
            :size => 8,
            :bold => false,
            32 => {
                :char => " ",
                :width => 5,
                :height => 10,
                :data => [
                    "     ",
                    "     ",
                    "     ",
                    "     ",
                    "     ",
                    "     ",
                    "     ",
                    "     ",
                    "     ",
                    "     ",
                ],
            },
            48 => {
                :char => "0",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    "  ##   ",
                    " #  #  ",
                    " #  #  ",
                    " #  #  ",
                    "  ##   ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            49 => {
                :char => "1",
                :width => 6,
                :height => 10,
                :data => [
                    "      ",
                    "      ",
                    " ##   ",
                    "  #   ",
                    "  #   ",
                    "  #   ",
                    " ###  ",
                    "      ",
                    "      ",
                    "      ",
                ],
            },
            50 => {
                :char => "2",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    " ###   ",
                    "    #  ",
                    "  ##   ",
                    " #     ",
                    " ####  ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            51 => {
                :char => "3",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    " ###   ",
                    "    #  ",
                    "  ##   ",
                    "    #  ",
                    " ###   ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            52 => {
                :char => "4",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    " # #   ",
                    " # #   ",
                    " # #   ",
                    " ####  ",
                    "   #   ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            53 => {
                :char => "5",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    " ####  ",
                    " #     ",
                    " ###   ",
                    "    #  ",
                    " ###   ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            54 => {
                :char => "6",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    "  ##   ",
                    " #     ",
                    " ###   ",
                    " #  #  ",
                    "  ##   ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            55 => {
                :char => "7",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    " ####  ",
                    "    #  ",
                    "   #   ",
                    "  #    ",
                    "  #    ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            56 => {
                :char => "8",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    "  ##   ",
                    " #  #  ",
                    "  ##   ",
                    " #  #  ",
                    "  ##   ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            57 => {
                :char => "9",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    "  ##   ",
                    " #  #  ",
                    "  ###  ",
                    "    #  ",
                    "  ##   ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            97 => {
                :char => "a",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    "  ##   ",
                    " #  #  ",
                    " ####  ",
                    " #  #  ",
                    " #  #  ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            98 => {
                :char => "b",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    " ###   ",
                    " #  #  ",
                    " ###   ",
                    " #  #  ",
                    " ###   ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            99 => {
                :char => "c",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    "  ##   ",
                    " #  #  ",
                    " #     ",
                    " #  #  ",
                    "  ##   ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            100 => {
                :char => "d",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    " ###   ",
                    " #  #  ",
                    " #  #  ",
                    " #  #  ",
                    " ###   ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            101 => {
                :char => "e",
                :width => 6,
                :height => 10,
                :data => [
                    "      ",
                    "      ",
                    " ###  ",
                    " #    ",
                    " ###  ",
                    " #    ",
                    " ###  ",
                    "      ",
                    "      ",
                    "      ",
                ],
            },
            102 => {
                :char => "f",
                :width => 6,
                :height => 10,
                :data => [
                    "      ",
                    "      ",
                    " ###  ",
                    " #    ",
                    " ###  ",
                    " #    ",
                    " #    ",
                    "      ",
                    "      ",
                    "      ",
                ],
            },
            103 => {
                :char => "g",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    "  ###  ",
                    " #     ",
                    " # ##  ",
                    " #  #  ",
                    "  ##   ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            104 => {
                :char => "h",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    " #  #  ",
                    " #  #  ",
                    " ####  ",
                    " #  #  ",
                    " #  #  ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            105 => {
                :char => "i",
                :width => 4,
                :height => 10,
                :data => [
                    "    ",
                    "    ",
                    " #  ",
                    " #  ",
                    " #  ",
                    " #  ",
                    " #  ",
                    "    ",
                    "    ",
                    "    ",
                ],
            },
            106 => {
                :char => "j",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    "    #  ",
                    "    #  ",
                    "    #  ",
                    " #  #  ",
                    "  ##   ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            107 => {
                :char => "k",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    " #  #  ",
                    " # #   ",
                    " ##    ",
                    " # #   ",
                    " #  #  ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            108 => {
                :char => "l",
                :width => 6,
                :height => 10,
                :data => [
                    "      ",
                    "      ",
                    " #    ",
                    " #    ",
                    " #    ",
                    " #    ",
                    " ###  ",
                    "      ",
                    "      ",
                    "      ",
                ],
            },
            109 => {
                :char => "m",
                :width => 8,
                :height => 10,
                :data => [
                    "        ",
                    "        ",
                    " #   #  ",
                    " ## ##  ",
                    " # # #  ",
                    " #   #  ",
                    " #   #  ",
                    "        ",
                    "        ",
                    "        ",
                ],
            },
            110 => {
                :char => "n",
                :width => 8,
                :height => 10,
                :data => [
                    "        ",
                    "        ",
                    " #   #  ",
                    " ##  #  ",
                    " # # #  ",
                    " #  ##  ",
                    " #   #  ",
                    "        ",
                    "        ",
                    "        ",
                ],
            },
            111 => {
                :char => "o",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    "  ##   ",
                    " #  #  ",
                    " #  #  ",
                    " #  #  ",
                    "  ##   ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            112 => {
                :char => "p",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    " ###   ",
                    " #  #  ",
                    " ###   ",
                    " #     ",
                    " #     ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            113 => {
                :char => "q",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    "  ##   ",
                    " #  #  ",
                    " #  #  ",
                    " #  #  ",
                    "  ##   ",
                    "    #  ",
                    "       ",
                    "       ",
                ],
            },
            114 => {
                :char => "r",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    " ###   ",
                    " #  #  ",
                    " ###   ",
                    " # #   ",
                    " #  #  ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            115 => {
                :char => "s",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    "  ###  ",
                    " #     ",
                    "  ##   ",
                    "    #  ",
                    " ###   ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            116 => {
                :char => "t",
                :width => 6,
                :height => 10,
                :data => [
                    "      ",
                    "      ",
                    " ###  ",
                    "  #   ",
                    "  #   ",
                    "  #   ",
                    "  #   ",
                    "      ",
                    "      ",
                    "      ",
                ],
            },
            117 => {
                :char => "u",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    " #  #  ",
                    " #  #  ",
                    " #  #  ",
                    " #  #  ",
                    "  ##   ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            118 => {
                :char => "v",
                :width => 8,
                :height => 10,
                :data => [
                    "        ",
                    "        ",
                    " #   #  ",
                    " #   #  ",
                    "  # #   ",
                    "  # #   ",
                    "   #    ",
                    "        ",
                    "        ",
                    "        ",
                ],
            },
            119 => {
                :char => "w",
                :width => 8,
                :height => 10,
                :data => [
                    "        ",
                    "        ",
                    " #   #  ",
                    " # # #  ",
                    " # # #  ",
                    " # # #  ",
                    "  # #   ",
                    "        ",
                    "        ",
                    "        ",
                ],
            },
            120 => {
                :char => "x",
                :width => 8,
                :height => 10,
                :data => [
                    "        ",
                    "        ",
                    " #   #  ",
                    "  # #   ",
                    "   #    ",
                    "  # #   ",
                    " #   #  ",
                    "        ",
                    "        ",
                    "        ",
                ],
            },
            121 => {
                :char => "y",
                :width => 8,
                :height => 10,
                :data => [
                    "        ",
                    "        ",
                    " #   #  ",
                    "  # #   ",
                    "   #    ",
                    "   #    ",
                    "   #    ",
                    "        ",
                    "        ",
                    "        ",
                ],
            },
            122 => {
                :char => "z",
                :width => 6,
                :height => 10,
                :data => [
                    "      ",
                    "      ",
                    " ###  ",
                    "   #  ",
                    "  #   ",
                    " #    ",
                    " ###  ",
                    "      ",
                    "      ",
                    "      ",
                ],
            },
            65 => {
                :char => "A",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    "  ##   ",
                    " #  #  ",
                    " ####  ",
                    " #  #  ",
                    " #  #  ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            66 => {
                :char => "B",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    " ###   ",
                    " #  #  ",
                    " ###   ",
                    " #  #  ",
                    " ###   ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            67 => {
                :char => "C",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    "  ##   ",
                    " #  #  ",
                    " #     ",
                    " #  #  ",
                    "  ##   ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            68 => {
                :char => "D",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    " ###   ",
                    " #  #  ",
                    " #  #  ",
                    " #  #  ",
                    " ###   ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            69 => {
                :char => "E",
                :width => 6,
                :height => 10,
                :data => [
                    "      ",
                    "      ",
                    " ###  ",
                    " #    ",
                    " ###  ",
                    " #    ",
                    " ###  ",
                    "      ",
                    "      ",
                    "      ",
                ],
            },
            70 => {
                :char => "F",
                :width => 6,
                :height => 10,
                :data => [
                    "      ",
                    "      ",
                    " ###  ",
                    " #    ",
                    " ###  ",
                    " #    ",
                    " #    ",
                    "      ",
                    "      ",
                    "      ",
                ],
            },
            71 => {
                :char => "G",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    "  ###  ",
                    " #     ",
                    " # ##  ",
                    " #  #  ",
                    "  ##   ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            72 => {
                :char => "H",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    " #  #  ",
                    " #  #  ",
                    " ####  ",
                    " #  #  ",
                    " #  #  ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            73 => {
                :char => "I",
                :width => 4,
                :height => 10,
                :data => [
                    "    ",
                    "    ",
                    " #  ",
                    " #  ",
                    " #  ",
                    " #  ",
                    " #  ",
                    "    ",
                    "    ",
                    "    ",
                ],
            },
            74 => {
                :char => "J",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    "    #  ",
                    "    #  ",
                    "    #  ",
                    " #  #  ",
                    "  ##   ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            75 => {
                :char => "K",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    " #  #  ",
                    " # #   ",
                    " ##    ",
                    " # #   ",
                    " #  #  ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            76 => {
                :char => "L",
                :width => 6,
                :height => 10,
                :data => [
                    "      ",
                    "      ",
                    " #    ",
                    " #    ",
                    " #    ",
                    " #    ",
                    " ###  ",
                    "      ",
                    "      ",
                    "      ",
                ],
            },
            77 => {
                :char => "M",
                :width => 8,
                :height => 10,
                :data => [
                    "        ",
                    "        ",
                    " #   #  ",
                    " ## ##  ",
                    " # # #  ",
                    " #   #  ",
                    " #   #  ",
                    "        ",
                    "        ",
                    "        ",
                ],
            },
            78 => {
                :char => "N",
                :width => 8,
                :height => 10,
                :data => [
                    "        ",
                    "        ",
                    " #   #  ",
                    " ##  #  ",
                    " # # #  ",
                    " #  ##  ",
                    " #   #  ",
                    "        ",
                    "        ",
                    "        ",
                ],
            },
            79 => {
                :char => "O",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    "  ##   ",
                    " #  #  ",
                    " #  #  ",
                    " #  #  ",
                    "  ##   ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            80 => {
                :char => "P",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    " ###   ",
                    " #  #  ",
                    " ###   ",
                    " #     ",
                    " #     ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            81 => {
                :char => "Q",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    "  ##   ",
                    " #  #  ",
                    " #  #  ",
                    " #  #  ",
                    "  ##   ",
                    "    #  ",
                    "       ",
                    "       ",
                ],
            },
            82 => {
                :char => "R",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    " ###   ",
                    " #  #  ",
                    " ###   ",
                    " # #   ",
                    " #  #  ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            83 => {
                :char => "S",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    "  ###  ",
                    " #     ",
                    "  ##   ",
                    "    #  ",
                    " ###   ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            84 => {
                :char => "T",
                :width => 6,
                :height => 10,
                :data => [
                    "      ",
                    "      ",
                    " ###  ",
                    "  #   ",
                    "  #   ",
                    "  #   ",
                    "  #   ",
                    "      ",
                    "      ",
                    "      ",
                ],
            },
            85 => {
                :char => "U",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    " #  #  ",
                    " #  #  ",
                    " #  #  ",
                    " #  #  ",
                    "  ##   ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            86 => {
                :char => "V",
                :width => 8,
                :height => 10,
                :data => [
                    "        ",
                    "        ",
                    " #   #  ",
                    " #   #  ",
                    "  # #   ",
                    "  # #   ",
                    "   #    ",
                    "        ",
                    "        ",
                    "        ",
                ],
            },
            87 => {
                :char => "W",
                :width => 8,
                :height => 10,
                :data => [
                    "        ",
                    "        ",
                    " #   #  ",
                    " # # #  ",
                    " # # #  ",
                    " # # #  ",
                    "  # #   ",
                    "        ",
                    "        ",
                    "        ",
                ],
            },
            88 => {
                :char => "X",
                :width => 8,
                :height => 10,
                :data => [
                    "        ",
                    "        ",
                    " #   #  ",
                    "  # #   ",
                    "   #    ",
                    "  # #   ",
                    " #   #  ",
                    "        ",
                    "        ",
                    "        ",
                ],
            },
            89 => {
                :char => "Y",
                :width => 8,
                :height => 10,
                :data => [
                    "        ",
                    "        ",
                    " #   #  ",
                    "  # #   ",
                    "   #    ",
                    "   #    ",
                    "   #    ",
                    "        ",
                    "        ",
                    "        ",
                ],
            },
            90 => {
                :char => "Z",
                :width => 6,
                :height => 10,
                :data => [
                    "      ",
                    "      ",
                    " ###  ",
                    "   #  ",
                    "  #   ",
                    " #    ",
                    " ###  ",
                    "      ",
                    "      ",
                    "      ",
                ],
            },
            40 => {
                :char => "(",
                :width => 5,
                :height => 10,
                :data => [
                    "     ",
                    "     ",
                    "  #  ",
                    " #   ",
                    " #   ",
                    " #   ",
                    "  #  ",
                    "     ",
                    "     ",
                    "     ",
                ],
            },
            41 => {
                :char => ")",
                :width => 5,
                :height => 10,
                :data => [
                    "     ",
                    "     ",
                    " #   ",
                    "  #  ",
                    "  #  ",
                    "  #  ",
                    " #   ",
                    "     ",
                    "     ",
                    "     ",
                ],
            },
            123 => {
                :char => "{",
                :width => 6,
                :height => 10,
                :data => [
                    "      ",
                    "      ",
                    "  ##  ",
                    "  #   ",
                    " #    ",
                    "  #   ",
                    "  ##  ",
                    "      ",
                    "      ",
                    "      ",
                ],
            },
            125 => {
                :char => "}",
                :width => 6,
                :height => 10,
                :data => [
                    "      ",
                    "      ",
                    " ##   ",
                    "  #   ",
                    "   #  ",
                    "  #   ",
                    " ##   ",
                    "      ",
                    "      ",
                    "      ",
                ],
            },
            91 => {
                :char => "[",
                :width => 5,
                :height => 10,
                :data => [
                    "     ",
                    "     ",
                    " ##  ",
                    " #   ",
                    " #   ",
                    " #   ",
                    " ##  ",
                    "     ",
                    "     ",
                    "     ",
                ],
            },
            93 => {
                :char => "]",
                :width => 5,
                :height => 10,
                :data => [
                    "     ",
                    "     ",
                    " ##  ",
                    "  #  ",
                    "  #  ",
                    "  #  ",
                    " ##  ",
                    "     ",
                    "     ",
                    "     ",
                ],
            },
            60 => {
                :char => "<",
                :width => 6,
                :height => 10,
                :data => [
                    "      ",
                    "      ",
                    "   #  ",
                    "  #   ",
                    " #    ",
                    "  #   ",
                    "   #  ",
                    "      ",
                    "      ",
                    "      ",
                ],
            },
            62 => {
                :char => ">",
                :width => 6,
                :height => 10,
                :data => [
                    "      ",
                    "      ",
                    " #    ",
                    "  #   ",
                    "   #  ",
                    "  #   ",
                    " #    ",
                    "      ",
                    "      ",
                    "      ",
                ],
            },
            96 => {
                :char => "`",
                :width => 5,
                :height => 10,
                :data => [
                    "     ",
                    "     ",
                    " #   ",
                    "  #  ",
                    "     ",
                    "     ",
                    "     ",
                    "     ",
                    "     ",
                    "     ",
                ],
            },
            126 => {
                :char => "~",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    "  # #  ",
                    " # #   ",
                    "       ",
                    "       ",
                    "       ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
            33 => {
                :char => "!",
                :width => 4,
                :height => 10,
                :data => [
                    "    ",
                    "    ",
                    " #  ",
                    " #  ",
                    " #  ",
                    "    ",
                    " #  ",
                    "    ",
                    "    ",
                    "    ",
                ],
            },
            64 => {
                :char => "@",
                :width => 8,
                :height => 10,
                :data => [
                    "        ",
                    "        ",
                    "  ###   ",
                    " # # #  ",
                    " # ##   ",
                    " #      ",
                    "  ###   ",
                    "        ",
                    "        ",
                    "        ",
                ],
            },
            35 => {
                :char => "#",
                :width => 8,
                :height => 10,
                :data => [
                    "        ",
                    "        ",
                    "  # #   ",
                    " #####  ",
                    "  # #   ",
                    " #####  ",
                    "  # #   ",
                    "        ",
                    "        ",
                    "        ",
                ],
            },
            36 => {
                :char => "$",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "   #   ",
                    "  ###  ",
                    " #     ",
                    "  ##   ",
                    "    #  ",
                    " ####  ",
                    "  #    ",
                    "       ",
                    "       ",
                ],
            },
            37 => {
                :char => "%",
                :width => 8,
                :height => 10,
                :data => [
                    "        ",
                    "        ",
                    " ## #   ",
                    " ## #   ",
                    "   #    ",
                    "  # ##  ",
                    "  # ##  ",
                    "        ",
                    "        ",
                    "        ",
                ],
            },
            94 => {
                :char => "^",
                :width => 6,
                :height => 10,
                :data => [
                    "      ",
                    "      ",
                    "  #   ",
                    " # #  ",
                    "      ",
                    "      ",
                    "      ",
                    "      ",
                    "      ",
                    "      ",
                ],
            },
            38 => {
                :char => "&",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "   #   ",
                    "  ###  ",
                    " #     ",
                    "  ##   ",
                    " #     ",
                    "  ###  ",
                    "   #   ",
                    "       ",
                    "       ",
                ],
            },
            42 => {
                :char => "*",
                :width => 8,
                :height => 10,
                :data => [
                    "        ",
                    "        ",
                    "   #    ",
                    " # # #  ",
                    "  ###   ",
                    " # # #  ",
                    "   #    ",
                    "        ",
                    "        ",
                    "        ",
                ],
            },
            45 => {
                :char => "-",
                :width => 6,
                :height => 10,
                :data => [
                    "      ",
                    "      ",
                    "      ",
                    "      ",
                    " ###  ",
                    "      ",
                    "      ",
                    "      ",
                    "      ",
                    "      ",
                ],
            },
            95 => {
                :char => "_",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    "       ",
                    "       ",
                    "       ",
                    "       ",
                    "       ",
                    " ####  ",
                    "       ",
                    "       ",
                ],
            },
            61 => {
                :char => "=",
                :width => 6,
                :height => 10,
                :data => [
                    "      ",
                    "      ",
                    "      ",
                    " ###  ",
                    "      ",
                    " ###  ",
                    "      ",
                    "      ",
                    "      ",
                    "      ",
                ],
            },
            43 => {
                :char => "+",
                :width => 8,
                :height => 10,
                :data => [
                    "        ",
                    "        ",
                    "   #    ",
                    "   #    ",
                    " #####  ",
                    "   #    ",
                    "   #    ",
                    "        ",
                    "        ",
                    "        ",
                ],
            },
            92 => {
                :char => "\\",
                :width => 6,
                :height => 10,
                :data => [
                    "      ",
                    "      ",
                    " #    ",
                    " #    ",
                    "  #   ",
                    "   #  ",
                    "   #  ",
                    "      ",
                    "      ",
                    "      ",
                ],
            },
            124 => {
                :char => "|",
                :width => 4,
                :height => 10,
                :data => [
                    "    ",
                    " #  ",
                    " #  ",
                    " #  ",
                    " #  ",
                    " #  ",
                    " #  ",
                    " #  ",
                    "    ",
                    "    ",
                ],
            },
            59 => {
                :char => ";",
                :width => 4,
                :height => 10,
                :data => [
                    "    ",
                    "    ",
                    "    ",
                    " #  ",
                    "    ",
                    " #  ",
                    "#   ",
                    "    ",
                    "    ",
                    "    ",
                ],
            },
            58 => {
                :char => ":",
                :width => 3,
                :height => 10,
                :data => [
                    "   ",
                    "   ",
                    "   ",
                    "#  ",
                    "   ",
                    "#  ",
                    "   ",
                    "   ",
                    "   ",
                    "   ",
                ],
            },
            39 => {
                :char => "'",
                :width => 4,
                :height => 10,
                :data => [
                    "    ",
                    "    ",
                    " #  ",
                    " #  ",
                    "    ",
                    "    ",
                    "    ",
                    "    ",
                    "    ",
                    "    ",
                ],
            },
            34 => {
                :char => "\"",
                :width => 6,
                :height => 10,
                :data => [
                    "      ",
                    "      ",
                    " # #  ",
                    " # #  ",
                    "      ",
                    "      ",
                    "      ",
                    "      ",
                    "      ",
                    "      ",
                ],
            },
            44 => {
                :char => ",",
                :width => 4,
                :height => 10,
                :data => [
                    "    ",
                    "    ",
                    "    ",
                    "    ",
                    "    ",
                    "    ",
                    " #  ",
                    "#   ",
                    "    ",
                    "    ",
                ],
            },
            46 => {
                :char => ".",
                :width => 3,
                :height => 10,
                :data => [
                    "   ",
                    "   ",
                    "   ",
                    "   ",
                    "   ",
                    "   ",
                    "#  ",
                    "   ",
                    "   ",
                    "   ",
                ],
            },
            47 => {
                :char => "/",
                :width => 6,
                :height => 10,
                :data => [
                    "      ",
                    "      ",
                    "   #  ",
                    "   #  ",
                    "  #   ",
                    " #    ",
                    " #    ",
                    "      ",
                    "      ",
                    "      ",
                ],
            },
            63 => {
                :char => "?",
                :width => 7,
                :height => 10,
                :data => [
                    "       ",
                    "       ",
                    " ###   ",
                    "    #  ",
                    "  ##   ",
                    "       ",
                    "  #    ",
                    "       ",
                    "       ",
                    "       ",
                ],
            },
        }).freeze
  end

end
